/*!
  \file
  \brief 待機

  \author Satofumi KAMIMURA

  $Id: delay.cpp 1811 2010-04-30 16:12:05Z satofumi $
*/

#include "delay.h"
#include "SdlInit.h"
#include <SDL.h>

using namespace qrk;


namespace
{
    class DelayInit : private SdlInit
    {
    };
};

void qrk::delay(int msec)
{
    static DelayInit sdl_init;

    SDL_Delay(msec);
}
